// -*- C++ -*-
//
//  This file is part of Siena, a wide-area event notification system.
//  See http://www.cs.colorado.edu/serl/siena/
//
//  Authors: Antonio Carzaniga <carzanig@cs.colorado.edu>
//  See the file AUTHORS for full details. 
//
//  Copyright (C) 2001-2002 University of Colorado
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
//  USA, or send email to serl@cs.colorado.edu.
//
//
// $Id: bool_index.h,v 1.2 2002/09/30 04:51:48 carzanig Exp $
//
#ifndef BOOL_INDEX_H
#define BOOL_INDEX_H

#include "fwd_table.h"
#include "ft_allocator.h"

/** index for <em>equals</em> constraints on boolean attributes **/
class BoolIndex {
public:
				BoolIndex();

    Constraint *		add_eq(bool v, FTAllocator &);
    bool			match(bool v, CProcessor & p) const;

 private:
    Constraint * t;
    Constraint * f;
};

#ifdef HAVE_INLINE
#include "bool_index.icc"
#endif

#endif
