// -*- C++ -*-
//
//  This file is part of Siena, a wide-area event notification system.
//  See http://www.cs.colorado.edu/serl/siena/
//
//  Authors: Antonio Carzaniga <carzanig@cs.colorado.edu>
//  See the file AUTHORS for full details. 
//
//  Copyright (C) 2002 University of Colorado
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
//  USA, or send email to serl@cs.colorado.edu.
//
// $Id: main.cc,v 1.2 2002/09/10 13:48:21 carzanig Exp $
//
#include <exception>
#include <string>
#include <iostream.h>
#include <stdio.h>

#include "yyfwd.h"

int main(int argc, char *argv[]) 
{
    try {
	if (argc > 1) {
	    if (fwd_scanner_open(argv[1])) {
		cerr << "can't read " << argv[1] << endl;
		return 1;
	    }
	}
	int res = fwd_parser_run();
	fwd_scanner_close();
	if (res != 0) return 2;
	//
	// do something...
	//
    } catch (exception & ex) {
	cout << ex.what() << endl;
    }
}
