#!/bin/sh
#
#  This file is part of Siena, a wide-area event notification system.
#  See http://www.cs.colorado.edu/serl/siena/
#
#  Author: Antonio Carzaniga <carzanig@cs.colorado.edu>
#  See the file AUTHORS for full details. 
#
#  Copyright (C) 1998-2002 University of Colorado
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
#  USA, or send email to serl@cs.colorado.edu.
#
#
# $Id: test_names.sh,v 1.3 2002/09/30 04:51:50 carzanig Exp $
#
. ./config.sh
#
test_description "Testing TST with names..."
#
cleanup_files='test.out test.expected test.log'
#
$SFF <<EOF > test.out
//
// first constraint:
//
ifconfig 1	antonio = 1
ifconfig 2	a = 1
ifconfig 3	anto = 1
ifconfig 4	ciao = 1
ifconfig 5	contro = 1
ifconfig 6	antagonista = 1
//
select x = 1
select aa = 1
select a = 1
select antonio = 1
select anto = 1
select ciaociao = 1
select cociao = 1
select ciao = 1
select contro = 1
select ant = 1
select anta = 1
select antagonista = 1
EOF
#
cat <<EOF > test.expected
->
->
-> 2
-> 1
-> 3
->
->
-> 4
-> 5
->
->
-> 6
EOF
sleep 1
if diff test.out test.expected
then
    test_passed
else
    test_failed 'see test.out, test.expected, and test.log for detail'
fi
